#' Annual streamflow at Nakhon Phanom
#'
#' A dataset contaning annual streamflow of the Mekong River measured at station Nakhon Phanom.
#'
#' @format A data.table with two columns
#' \describe{
#'   \item{year}{from 1960 to 2005}
#'   \item{Qa}{mean annual streamflow, cubic meter per second}
#' }
#' @source Mekong River Commission
"NPannual"

#' Selected principal components
#'
#' A dataset contaning the principal components of MADA surrounding NP
#'
#' @format A data.table
"NPpc"

#' LDS parameters
#'
#' Theta values for Nakhon Phanom, precomputed to use in examples.
#' @format A list with elements A, B, C, D, Q, R, mu1, V1
"theta"
